Subject: Feedback needed: retiring MOSPF and other specs?

From: Alex Zinin <[email-masked]>
Date: Mon, 19 Dec 2005 15:55:26 -0800

Acee, Rohit, RTG-DIR members:

  In case you didn't see this doc:
  http://www.ietf.org/internet-drafts/draft-ietf-newtrk-decruft-experiment-02.txt

  I'm holding a DISCUSS on this. The doc suggests to retire MOSPF and a
  bunch of other specs to Historic. I need to know your opinion on this.

  Here's what I have on my list of questionable retirements:

>       RFC1378 (The PPP AppleTalk Control Protocol (ATCP))
>       RFC1469 (IP Multicast over Token-Ring Local Area Networks)
>       RFC1582 (Extensions to RIP to Support Demand Circuits)
>       RFC1584 (Multicast Extensions to OSPF)
>       RFC1598 (PPP in X.25)
>       RFC1755 (ATM Signaling Support for IP over ATM)

  I'd like to hear opinions on this.

-- 
Alex
http://www.psg.com/~zinin

---

From: Radia Perlman <[email-masked]>
Date: Mon, 19 Dec 2005 16:09:58 -0800

Seems reasonable. What's the downside of doing this?

Radia

---

From: Alex Zinin <[email-masked]>
Date: Tue, 20 Dec 2005 08:53:39 -0800

Radia,

  The biggest implication of moving to historic would be that "there's no
  more IETF Standard on the topic", and the message that the IETF admits
  that a spec is obsolete. This, in fact, may be the right message to send,
  but I wanted to make sure we've discussed this.

  Thanks.

---

From: Alex Zinin <[email-masked]>
Date: Tue, 20 Dec 2005 08:54:24 -0800

Thanks, Rohit! That's what I would expect too, yet I wanted you
guys to be in the loop.

Monday, December 19, 2005, 7:42:41 PM, Rohit Dube wrote:
> Hey Alex,

> I will discuss with Acee soon, but there is no ongoing MOSPF 
> work. In late 2002, we had removed MOSPF work-items from the
> working groups work-item list and we had announced the removal
> of the same in the Nov/Dec-2002 WG meeting. While I am sure
> that there are some MOSPF networks out there, I am also sure
> that permanently putting a stop to MOSPF work (if that is
> what historic implies) would surprise or effect very few 
> people.

> Best,
> --rohit.

> --- Alex Zinin <[email-masked]> wrote:

> __________________________________________________
> Do You Yahoo!?
> Tired of spam?  Yahoo! Mail has the best spam protection around 
> http://mail.yahoo.com

---

From: Acee Lindem <[email-masked]>
Date: Tue, 20 Dec 2005 13:25:18 -0500

>Thanks, Rohit! That's what I would expect too, yet I wanted you
On a related note, I'm wondering whether I should deprecate or remove 
the MOSPF
specific details from the OSPFv3 update (aks, RFC 2740 respin). I 
probably can't just
remove them but I could deprecate the defined bits and IGMP LSA 
encoding.  I don't
know of any MOSPFv3 implementation on the planet.

Thoughts?
Acee